%define module	Algorithm-Diff
%define name	perl-%{module}
%define version 1.1901
%define release 2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Compute `intelligent' differences between two files / lists
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/T/TY/TYEMQ/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildRoot:	%{_tmppath}/%{name}-%{version}
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Buildarch:	noarch

%description
This module compute `intelligent' differences between two files / lists.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make test

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Algorithm
%{_mandir}/*/*

%changelog
* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.1901-2mdk 
- make test in %%check
- don't ship empty directories

* Mon Apr 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.1901-1mdk 
- new release
- spec cleanup
- better url

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.15-3mdk
- fix buildrequires in a backward compatible way

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.15-2mdk 
- rpmbuildupdate aware

* Wed Jan 07 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.15-1mdk
- first mdk release
